
**************************************************************
  GCE Electronics     IPX800 V5 Firmware - Software

**************************************************************

*** Version 5.7.0 (29/08/2025)

## Changed

* XLORA : Ajout de la nouvelle extension XLORA

## Fixed

* ENOCEAN: Refonte des profils énocean (améliorations/correctifs) 

*** Version 5.6.2 (21/03/2025)

## Fixed

* BUS EXT: Correctif stabilisation du bus extension
* X-GSM_V2 : Correctif API
* ACCESS-CONTROL : Correctif prise en compte des changements sur la string d'entrée

*** Version 5.6.1 (06/01/2024)

## Changed

* MQTT : Correctif permettant de stabiliser l'IPX

*** Version 5.6.0 (12/12/2024)

## Changed

* FONCTION : Refonte complète du process de calcul pour gérer tous les cas
* MODBUS : Ajout de la fonction IEEE 754 et du complément à deux
* X-DISPLAY_V2 : Ajout du nouvel écran météo
* X-GSM_V2 : Ajout d'une liste de destinataire pour le XGSM (paramètre en config)
* X-4VR : Maj de la consigne en fonction du retour d'état
* X-DIMMER_V2 : Ajout de la possibilité de le mettre à jour

## Fixed

* THERMOSTAT : Correctif sur le FRONT sur l'unité du temps de défaut
* CLOCK : Correctif lié au GMT négatif
* METEO : Prise en compte du GMT pour les timestamp lever et coucher du soleil
* MQTT : Correctif sur le SSL MQTT
* SNTP et SMTP : Correctif sur la validation des modales

*** Version 5.5.8 (26/08/2024)

## Changed

* X-WIEGAND : Ajout de la nouvelle extension X-WIEGAND
* Access-Control : Ajout du nouvel objet Access control
* X-DISPLAY_V2 : Ajout de l'écran XPOOL et Access Control
* X-DISPLAY_V2 : Augmentation du nombre de display de 6 à 16

*** Version 5.5.7 (06/02/2024)

## Changed

* X4VR_2 : Ajout des io's séquentielle
* DASHBOARD: Ajout du widget player

*** Version 5.5.6 (06/11/2023)

## Changed

* XGSM_2 : Ajout de l'extension X-GSM_2 dans la V5
* STREAMER : Ajout de l'objet streamer (compatible avec le streamer IEAST)
* X-DISPLAY_V2 : Ajout des écrans 4 boutons, slider et player
* PLANNING : Ajout de la récurrence annuelle

*** Version 5.5.5 (04/09/2023)

## Changed

* FONCTION : Ajout de la possibilité de mettre des coefficients négatifs (sans oublier les parenthèses ex : (-x)/1+2)
* ENTREES FREQUENCE : Ajout des analogues fréquencemètres directement liés aux entrées opto 
* X-DISPLAY_V2 : Ajout de la possiblité de mettre à jour les X-Display_V2

## Fixed

* BUS EBX : Correctif afin de ne plus avoir de trame corrompue
* X-4VR : Correctif problème de prise en compte des consignes dans le moteur de lien
* WIDGET : Correctif widget X-4FP
* X-DISPLAY : Correctif écran luminosité

*** Version 5.5.4 (27/04/2023)

## Changed

* X-POOL : Ajout du mode esclave + ajout des IO Commandes pour les 4 sorties

*** Version 5.5.3 (13/04/2023)

## Changed

* X-4VR_V2: Ajout de la possibilité de mettre à jour le X-4VR_V2
* SWITCH-EBX: Ajout de l'extension SwitchEbx avec la possibilité de le mettre à jour

## Fixed

* X-Display: Correctif du problème de pilotage sur un X-4VR 

*** Version 5.5.2 (30/01/2023)

## Changed

* X-THL_V2: Ajout de la possibilité de mettre à jour le X-THL_V2

## Fixed

* SmartGceV2: Correctif widget avec les mêmes ID de dépendances 

*** Version 5.5.1 (17/01/2023)

## Changed

* CONNECTEUR: Augmentation du nombre d'objets connecteurs à 512

## Fixed

* BUS-EBX: Correctifs des problèmes sur le bus EBX liés à la mise à jour X-24D

*** Version 5.5.0 (27/12/2022)

## Changed

* X-POOL: Ajout de la page X-POOL dans la catégorie extension avec son widget sur le dashboard
* WIDGET HTML: Ajout d'un template ainsi qu'une documentation en ligne pour faciliter la programmation
* X-24D_V2: Ajout de la possibilité de mettre à jour le X-24D_V2
* FONCTION: Ajout d'une IO permettant d'activer/désactiver le calcul
* DYNDNS: Ajout de bulle info pour faciliter la compréhension
* APPLI MOBILE: Ajout de l'auto connect sur l'application mobile
* SAUVEGARDE CONFIG: Nommage du fichier de configuration avec le nom de la carte

## Fixed

* XDISPLAY: Correctif stabilité de la configuration d'un X-Display + ajout de la recherche des data sources
* DASHBOARD: Correctif sur le déplacement de widget entre deux dashboards
* X-THL: Gestion des burst des valeurs de température, luminosité et humidité
* X-4VR: Correctif sur le temps d'impulsion et le lancement de la calibration
* ENOCEAN: Correctif affichage appairage

*** Version 5.4.6 (10/11/2022)

## Changed

* SmartGCE_V2 : Simplification création widget de niveau 1 (sur smartGce)

## Fixed

* ENOCEAN : Correctif vanne thermostatique profil A5-20-01 

*** Version 5.4.5 (12/09/2022)

## Changed

* ENOCEAN : Ajout du nouveau profil A5-04-03
* ENOCEAN : Augmentation du nombre de profils A520 de 8 à 12
* METEO : Changement de clef API suite au passage en version 3.0 d'openWeather
* MAIL : Reprise de l'ajout de contact sur les mails
* Maj EBX : Ajout de la possibilité de mettre à jour une extension X8R-CONNECT

## Fixed

* Traduction : Correctif sur la traduction de la page RS LATCH
* Widget : Correctif visuel sur le widget X8R 


*** Version 5.4.4_1 (11/07/2022)

## Fixed
* X4VR: Correctifs sur le pilotage du volet roulant depuis SmartGce

*** Version 5.4.4 (05/07/2022)

## Changed

* BASCULE RS: Ajout du composant Bascule RS permettant de remplacer l'étiquette SET ON et SET OFF
* Vue lien: Ajout de l'étiquette NOT et suppressions des étiquettes "SET ON, SET OFF et SWITCH". Les SET ON et SET OFF sont remplacées par l'objet Bascule RS et le SWITCH par l'objet STEPPING SWITCH
* Vue lien: Ajout d'explications et de solutions pour les merges de connecteur. Blocage du merge automatique posant problème dans certains cas
* XTHL: Ajout de la sortie "Fault" afin d'indiquer que le XTHL ne communique plus avec la V5 depuis 30s. Reprise du widget également
* Trie Alphabétique: Ajout de l'option trie alphabétique dans l'édition thème. Cela permet de trier la liste des objets et les tuiles
* XENO: Ajout de l'indication sur le nombre maximum d'objets par profil 
* XDIMMER: Augmentation du nombre d'objet XDIMMER passage de 6 à 12
* Moteur de scénario: Amélioration de l'import/export de scénario et reprise de l'ergonomie du bouton export
* MODBUS: Amélioration de la vue modbus et ajout des codes fonctions 

## Fixed

* X8D/X24D/X8R State: Blocage dans le moteur de scénario et dans la vue lien du pilotage des entrées afin d'éviter les conflits 
* X8R: Correctifs sur le pilotage des relais 
* XTHL: Correctifs sur les données corrompus envoyées par le XTHL
* XDMX : Correctifs sur le pilotage après un redémarrage de l'IPX
* Monostable: Correctifs sur le temps de l'impulsion afin qu'elle soit prise en compte par le moteur de scénario
* API: Correctifs sur l'API externe concernant les ana et le filtre state
* Widget: Correctifs sur le widget mixer (insertion d'une virgule dans la range)
* Blinker: Correctifs sur l'exécution après un enable/reset

*** Version 5.4.3_1 (06/05/2022)

## Fixed

* FONCTION: Correctif sur l'objet fonction suite à la mise à jour 5.4.3

*** Version 5.4.3 (05/05/2022)

## Changed

* SMART-GCE: Ajout du service SmartGCE
* MEMORY-MAPPING: Ajout de la page mapping mémoire permettant de retrouver tous les ID des entrées/sorties de l'IPX 
* PRESET: Ajout d'une option "X-DIMMER mode" permettant de configurer une vitesse de transition (A linker directement sur l'entrée consigne d'un X-DIMMER)
* X-DIMMER: Ajout des entrées "INPUT" permettant de simuler l'appuie sur des boutons physiques + compatibilité avec nouveau PRESET pour vitesse de transition
* DAHSBOARD: Ajout des nouveaux widgets dans la catégorie "device" (X-8R, X-THL...)
* EXPORT/IMPORT CONFIG: Amélioration de la robustesse (ajout d'un blocage entre les deux commandes)
* SYSTEM: Amélioration de la stabilité et des performances du système
* SYSTEM: Amélioration sur la redirection après une demande de redémarrage de la carte
* BUS-EBX: Amélioration de la stabilité du bus 
* RULE-ENGINE: Amélioration de la gestion de sauvegarde des règles après un rafraichissement de la page
* FUNCTION: execution périodique si entrée X non utilisée + amélioration de la gestion des parenthèses

## Fixed

* FADER: Correctifs sur le comportement de l'objet disposant d'un temps de transition élevé 
* OPTO INPUT: Correctifs sur l'acqusition des entrées opto
* X-DIMMER: Correctifs sur le comportement des entrées ON/OFF et ON/OFF All
* LOG: Correctifs de l'affichage des logs sur mobile
* LIVEVIEWS: Correction mode plein écran niveau "User"

*** Version 5.4.2 (23/03/2022)

## Changed
* LOGIN: Plus de prise en compte de la casse sur le Login pour faciliter la connexion depuis un smartphone
* LIVEVIEW: Amélioration de l'aide au positionnement des widgets + Aide racourcis clavier
* LINKS VIEW: Amélioration du retour d’état lors du pilotage des IO
* RULE-ENGINE: Nouvelle gestion de la sauvegarde des règles pour gagner en fluidité lors de la programmation 
* LOGS: Possibilité d’activer/désactiver l’envoi des données de diagnostic vers notre serveur Notifix depuis la page LOGS 
* LOGS: Allègement des logs système pour conserver uniquement les logs pour l’utilisateur
* MQTT: Ajout de la gestion du "Retain flag"
* MQTT: Connexion/reconnexion automatique du client MQTT après coupure d'alimentation ou coupure réseau
* MODBUS: Ajout du device ID en Modbus TCP 
* USERS: Possibilité de désactiver le temps de session pour l'utilisation en mode tablette
* USERS: Amélioration de la gestion du timeout de session avec alerte avant déconnexion
* THERMOSTAT: Prise en compte du changement de mode même si OFF
* ENOCEAN: Ajout d'une fonction de test sur les actionneurs afin de synchroniser les états
* EXTENSIONS: Amélioration de la gestion du pilotage simultané sur les extensions : X-DIMMER, X-4FP et X-010V
* MAIL,PUSH: Amélioration de la gestion du pilotage simultané sur MAIL et PUSH
* SYSTEM: Amélioration de la stabilité et des performances du système
* SYSTEM: Amélioration sur la redirection après une mise à jour, un retour usine ou l'importation d'une configuration 

## Fixed
* MODBUS: Correctif sur l'écriture multi bits 
* CALENDAR: Correctif sur la détection de l'heure de début
* X-DISPLAY: Correctifs sur le rafraîchissement des valeurs analogiques 
* DASHBOARD: Correctif sur la deconnexion automatique
* ENOCEAN: Correctifs sur la vanne thermostatique profil A5-20-01
* WIDGETS: Correctifs sur le widget dimmer 

*** Version 5.4.1 (22/12/2021)

## Changed

* Ajout du plugin IPX800V4
* Ajout des EEP D2010C et D2030A (X-ENO)
* Ajout du lien entre la sortie et la commande sur l'objet X8R
* Amélioration du comportement des checkboxs lors de la suppression multiple 
* Amélioration de l'EEP D20500 (X-ENO)
* Amélioration de l'import/export de configuration
* Modification vue lien sur les extensions X4FP et X4VR

## Fixed

* Correctif sur la sortie du long click (autoOff)
* Correctif sur l'ana32 du modbus (read et write)
* Correctif sur les températures négatives du XTHL
* Correctif sur la dépendance contacte de l'EEP D500001 (X-ENO)
* Correctif sur l'affichage des logs sous IOS et correctif sur l'heure des logs
* Correctif sur l'entrée 1 opto isolée
* Correctif sur la connexion au serveur MQTT

*** Version 5.4.0 (29/11/2021)

## Changed

* Ajout du composant planning
* Ajout du composant parseur JSON
* Ajout de la dépendance AC detection pour la XPSU
* Ajout de la possibilité de saisir $id$ dans une formule de l'objet fonction
* Ajout du widget timeDisplay sur le liveview
* Passage de 32 à 64 topics MQTT
* Ajout du champ indice canal pour le XDMX
* Ajout de la tuile IPX permettant de récupérer les dépendances (DIAG, CLOCK, XDPSU..)
* Ajout de la saisie des valeurs intermédiaires sur le widget jauge
* Mise à jour des valeurs on/off pour les preset, passage sur un 16bit


## Fixed

* Correctifs sur le XDISPLAY
* Correctif sur le write single bit du MODBUS
* Suppression du blocage du client MQTT en cas d'erreur et ajout de la description de l'erreur (il faut tout de même redémarrer l'IPX)
* Correctif sur l'hystérésis du composant thermostat (comportement similaire à la documentation)
* Correctif sur le champ ID MQTT pas sauvegardé
* Correctif sur la perte des secondes sur l'objet calendrier 
* Correctif sur le nom de la dépendance IO send du PUSH

*** Version 5.3.0 (10/11/2021)

## Changed

* Ajout du mode TCP pour le MODBUS
* Passage des Ta et Tb dans des analogues + nouveaux modes sur les objets tempo, delay et pulse
* Ajout d'un bouton pour l'export des logs en .csv
* Ajout widget image on/off sur le Dashboard et liveview
* Ajout d'une IO indiquant si le soleil est levé + passage des valeurs sunset et sunrise sur des timestamp (plugin météo)
* Ajout d'une option pour mettre les premiers caractères du body du mail en sujet 
* Ajout des tuiles Analogue et IO de sortie dans la partie résultat du moteur de scénario
* Ajout de l'aide au positionnement/redimmensionnement des widgets à l'aide des touches fléchés + choix de la taille en pixel du texte sur le liveview
* Ajout du mode timestamp sur le widget afficheur de temps
* Ajout du mode pleine écran sur le liveview 
* Ajout de l'IO multi contrôle sur le XDIMMER
* Amélioration du tri sur les tuiles du moteur de scénario

## Fixed

* Correctif sur la désynchronisation des relais X8R
* Correctif sur les entrées du XDIMMER 
* Correctif sur la lecture bit à bit du MODBUS 
* Correctifs sur la XDISPLAY (heures, contrôle ..)
* Correctif sur le DHCP, gestion de la non-connexion du câble réseau à l'initialisation
* Correctif sur la traduction des infobulles 
* Correctif style sur Mozilla ERP
* Correctif sur le problème de redirection des tuiles sur le moteur de scénario
* Correctif sur le Scroll sous IOS


*** Version 5.2.0 (25/10/2021)

## Changed

* Activation des entrées/sorties collecteurs ouverts
* Intégration des objets Modbus et de la page système Modbus RTU
* Ajout de l'API deck V5
* Sélecteur datasource avec recherche intégré dans Liveview
* Amélioration widget "Dimmer", configuration nombre de points
* Évolution en widget multiple pour les widgets "Slider", "Bouton" et "Jauge linéaire"
* Ajout possibilité de déplacer une rèlge dans une autre règle
* Liste datasource widget trié par ordre alphabétique
* Ajout confirmation suppression device HUE
* Auto-formatage coordonnée GPS sur plugin weather
* Amélioration édition variables STRING
* Blocage sélecteur datasource quand limite atteinte

## Fixed

* Correction heure/date
* Amélioration ergonomie Rule Engine
* Amélioration lisibilité objet "Calendar"
* Correction affichage date sur certificat HTTPS
* Correctifs Hue 
* Amélioration gestion d'erreur

*** Version 5.1.2 (15/10/2021)

## Fixed

* Correction mode DHCP 
* Correction SNTP en mode DHCP

*** Version 5.1.1 (11/10/2021)

## Changed

* Modification des droits pour le compte root

## Fixed

* Correction coquilles traduction
* Fader, masquage temporaire du champs "vit. gradation"
* Robustesse firmware

*** Version 5.1.0 (07/10/2021)

! Suite au passage du FRONT au format GZIP, il faut que la version back et la version IHM soit au minimum en version 5.1.0 !

## Changed

* Passage au format GZIP
* Ajout composant PING Watchdog
* Amélioration API Rest
* Création du widget "String display"
* Amélioration du composant blinker
* Amélioration du composant long push
* Amélioration widget "Analog display"
* Amélioration widget gauge
* Amélioration informations pour chaques objets
* Moteur de scénario, ajout tuile "!=" (différent de)
* Widget time display, ajout formats "Hours" et "minutes"
* Amélioration recherche dans sélection de widgets
* Ajout ouverture widget caméra en pleine page
* Ajout possiblité de désactiver le contrôle d'un widget
* Limitation du HTTPS pour un seul utilisateur en mode superviseur 
* Ajout des dépendances relai state pour la X8R

## Fixed

* Ajout redirection automatique après mise à jour
* Ajout de la mise à jour possible via MACOS
* Correctifs compoant fader
* Correction problèmes d'application du thème
* Amélioration redirection après mise à jour système
* Correction et fiabilisation sauvegarde dashboard
* Correction trie et rechargement sur page "Logs système"
* Correction widget slider pour gestion valeur à virgule
* Enrichissement de la traduction française
* Optimisation performances
* Corrections coquilles visuelle
* Amélioration version responsive mobile et tablette
* Amélioration robustesse API
* Correctifs sur le composant compteur
* Correctifs sur les contacts du composant mail

Compatible :
- HARDWARE: NucleoH743ZI+Carte fille v1.01
- BOOTLOADER: v4.1
- RECOVERY: V3.2

*** Première version 5.0.0 (17/09/2021)




